import { SNS, SQS } from "aws-sdk";
import { DeadLetterMessage, Invocation, Message, PollResult } from "../provider";
import { AwsMetrics } from "./aws-faast";
export declare function createSNSTopic(sns: SNS, Name: string): Promise<string>;
export declare function sendResponseQueueMessage(sqs: SQS, QueueUrl: string, message: Exclude<Message, DeadLetterMessage>): Promise<void>;
export declare function publishInvocationMessage(sns: SNS, TopicArn: string, message: Invocation, metrics: AwsMetrics): Promise<import("aws-sdk/lib/request").PromiseResult<SNS.PublishResponse, import("aws-sdk").AWSError>>;
export declare function createSQSQueue(QueueName: string, VTimeout: number, sqs: SQS): Promise<{
    QueueUrl: string;
    QueueArn: string | undefined;
}>;
export declare function processAwsErrorMessage(message: string): Error;
export declare function receiveMessages(sqs: SQS, ResponseQueueUrl: string, metrics: AwsMetrics, cancel: Promise<void>): Promise<PollResult>;
