import { ExecutionContext } from "ava";
import * as lolex from "lolex";
import { CommonOptions, Provider } from "../../index";
import { keysOf } from "../../src/shared";
import { Timing } from "./functions";
export { keysOf };
export declare const measureConcurrency: (timings: Timing[]) => number;
export declare const sum: (a: number[]) => number;
export declare const avg: (a: number[]) => number;
export declare const stdev: (a: number[]) => number;
export declare type VClock = lolex.InstalledClock<lolex.Clock>;
export declare function withClock(fn: (clock: VClock) => Promise<void>): Promise<void>;
export declare function quietly<T>(p: Promise<T>): Promise<void | T>;
export declare function checkResourcesCleanedUp<T extends object>(t: ExecutionContext, resources: T): void;
export interface RecordedCall<A extends any[], R> {
    args: A;
    rv: R;
}
export interface RecordedFunction<A extends any[], R> {
    (...args: A): R;
    recordings: Array<RecordedCall<A, R>>;
}
export declare function record<A extends any[], R>(fn: (...args: A) => R): RecordedFunction<A, R>;
export declare function contains<T extends U, U extends object>(container: T, obj: U): boolean;
export declare const configs: CommonOptions[];
export declare function title(provider: Provider, msg: string, options?: object): string;
export declare function sleep(ms: number): Promise<{}>;
